package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglKhbmEditPzDto;
import com.mosty.base.model.entity.jcgl.TbJcglKhbm;
import com.mosty.base.model.query.jcgl.TbJcglKhbmQuery;
import com.mosty.base.model.vo.jcgl.TbJcglKhbmVo;

import java.util.List;

public interface TbJcglKhbmService {

    // 添加绩效考核部门
    void addKhbm(List<String> ssbmidList);

    // 删除绩效考核部门
    void delKhbm(List<String> ids);

    // 查询绩效考核参与部门列表
    IPage<TbJcglKhbmVo> getPageList(TbJcglKhbmQuery dto);

    // 查询所有的已选中的部门
    List<String> getAllKhbm();

    // 修改考核部门配置
    void editKhbm(TbJcglKhbm dto);
}
